{
    "header": {
        "version": 1,
        "type": "record"
    },
    "body": {
        "record1": {
            "<1>": "declare subroutine end_dialog\r\ndeclare function msg\r\n$insert msg_equates\r\n\r\nif .prod_ret->value <> '' then\r\n   EditControls = get_property( @window, '@EditControls' )\r\n   RmaInfo2 = get_property( EditControls, 'TEXT' )\r\n   convert @rm to @vm in RmaInfo2\r\n   RmaInfo2 = .prod_ret->value:@vm:RmaInfo2\r\n   RmaInfo1 = .ret_lot_info->array\r\n   ReturnVal = RmaInfo1:char(244):RmaInfo2:char(244):.special_inst->text:char(244):.eng_comments->text\r\n   end_dialog( @window, ReturnVal )   \r\nend else\r\n   MsgInfo = ''\r\n   MsgInfo<mtext$> = 'You must select either \"Sample\" or \"Lot\" under product returned.'\r\n   MsgInfo<micon$> = '!'\r\n   Void = msg( '', MsgInfo )\r\nend\r\nRETURN 0"
        }
    }
}